<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package pixigo
 */

?>

<footer id="colophon" class="site-footer">

	<div class="site-info">

		<span class="footer-copyright">
			&copy; <?php echo date( 'Y' ); // WPCS: XSS OK. ?>. <?php esc_html_e( 'All Rights Reserved.', 'pixigo' ); ?>
		</span>

		<?php if ( get_theme_mod( 'pixigo_keep_footer_credits', 1 ) ) : ?>
		<span class="footer-credit">
			<?php
			/* translators: %s: Pixify */
			printf( esc_html__( 'Theme by %s', 'pixigo' ), '<a href="' . esc_url( 'https://pixify.net' ) . '" target="_blank" rel="noopener">Pixify</a>' );
			?>
		</span>
		<?php endif; ?>

	</div><!-- .site-info -->

	<?php if ( has_nav_menu( 'footer' ) ) : ?>
		<nav id="site-navigation" class="footer-navigation" itemscope itemtype="http://schema.org/SiteNavigationElement" role="navigation">
		<?php
			wp_nav_menu( array(
				'theme_location' => 'footer',
				'menu_id'        => 'footer-menu',
				'depth'          => 1,
			) );
		?>
		</nav><!-- #site-navigation -->
	<?php endif; ?>

</footer><!-- #colophon -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
