'use strict';

/* eslint-disable vars-on-top */
/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

(function ($) {

	// Site title and description.
	wp.customize('blogname', function (value) {
		value.bind(function (to) {
			$('.site-title a').text(to);
		});
	});
	wp.customize('blogdescription', function (value) {
		value.bind(function (to) {
			$('.site-description').text(to);
		});
	});

	// Header text color.
	wp.customize('header_textcolor', function (value) {
		value.bind(function (to) {
			if ('blank' === to) {
				$('.site-title, .site-description').css({
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				});
			} else {
				$('.site-title, .site-description').css({
					'clip': 'auto',
					'position': 'relative'
				});
				$('.site-title a, .site-description').css({
					'color': to
				});
			}
		});
	});

	// Primary color
	wp.customize('pixigo_theme_color', function (value) {
		value.bind(function (to) {
			$('body').get(0).style.setProperty('--color-primary', to);
		});
	});

	// Hide Menu on Mobile?
	wp.customize('pixigo_hide_menu_on_mobile', function (value) {
		value.bind(function (to) {
			if (to) {
				$('.main-navigation').addClass('hide-on-mobile');
			} else {
				$('.main-navigation').removeClass('hide-on-mobile');
			}
		});
	});

	var pixigoFooter = $('.footer-copyright').html();
	wp.customize('footer_copyright', function (value) {
		value.bind(function (to) {
			if ('' != to.trim()) {
				$('.footer-copyright').html(to);
			} else {
				$('.footer-copyright').html(pixigoFooter);
			}
		});
	});
})(jQuery);